POST V1/Payments.{ext}/ApprovePaymentFile

Approve / Partially Approve Payment file based on the pfStatus for both Regular and High Value Approval.
Mandatory Fields : pfid, PfStatus(Approve/Partially Approve) , PfType(Bill Payment File/ E-Check Payment File), Comments.
Optional Fields : If High Approval then IsHighApproval = 1, if not it will take that as regular payment file

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Payment File Details

EMS.Payments.Entities.PaymentFileApprove
NameDescriptionTypeAdditional information
pfid

Payment File id

integer

None.

Comments

Comments

string

None.

PfType

Payment Type Penny text/Bill Payment/ECheck Payment

string

None.

PfStatus

Pf Status

string

None.

IsHighApproval

Approval Level

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "pfid": 1,
  "comments": "sample string 1",
  "pfType": "sample string 2",
  "pfStatus": "sample string 3",
  "isHighApproval": 1
}

application/xml, text/xml

Sample:
<PaymentFileApprove xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <Comments>sample string 1</Comments>
  <IsHighApproval>1</IsHighApproval>
  <PfStatus>sample string 3</PfStatus>
  <PfType>sample string 2</PfType>
  <pfid>1</pfid>
</PaymentFileApprove>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

TransactionResult

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.